---
type: api
title: Delete Deployment
description: Deletes a Deployment and all its resources.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-deployment
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-deployment
products:
  - Elastic Cloud Enterprise
---

# Delete Deployment

## Paths

- `DELETE` `/deployments/{deployment_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment

## Description

Deletes a Deployment and all its resources.

## Responses

#### `200`

The request was valid and the deployment was deleted.

`application/json`

- `id` (string)
  The id of the deployment
- `name` (string)
  The name of the deployment
- `orphaned` ({} Orphaned)
  Details about orphaned resources.
  - `elasticsearch` ([] OrphanedElasticsearch)
    List of orphaned Elasticsearch resources
    - `id` (string)
      The id of the orphaned resource
    - `dependents` ([] ElasticsearchDependant)
      List of orphaned dependent resources
      - `id` (string)
        The id of the orphaned resource
      - `kind` (string)
        The kind of resource
  - `kibana` ([] string)
    List of orphaned Kibana resource ids
  - `apm` ([] string)
    List of orphaned APM resource ids
  - `appsearch` ([] string)
    List of orphaned AppSearch resource ids
  - `enterprise_search` ([] string)
    List of orphaned Enterprise Search resource ids
  - `integrations_server` ([] string)
    List of orphaned Integrations Server resource ids
#### `400`

The Deployment resources have not been shutdown yet.

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
#### `401`

You are not authorized to perform this action.

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
#### `404`

The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /deployments/{deployment_id}
```

#### curl

```curl
curl -X DELETE "/deployments/{deployment_id}"
```

